import { IgxDataAnnotationShapeLayerComponent } from "./igx-data-annotation-shape-layer-component";
import { DataAnnotationRangeLayer } from "./DataAnnotationRangeLayer";
import * as i0 from "@angular/core";
/**
 * Represents a base of annotation layers that render from start/end range
*/
export declare abstract class IgxDataAnnotationRangeLayerComponent extends IgxDataAnnotationShapeLayerComponent {
    /**
                                 * @hidden
                                 */
    get i(): DataAnnotationRangeLayer;
    constructor();
    /**
     * Gets or sets the text color used for displaying the start annotation label.
    */
    get startLabelTextColor(): string;
    set startLabelTextColor(v: string);
    /**
     * Gets or sets the background used for displaying the start annotation label.
    */
    get startLabelBackground(): string;
    set startLabelBackground(v: string);
    /**
     * Gets or sets the border color used for displaying Start annotation label.
    */
    get startLabelBorderColor(): string;
    set startLabelBorderColor(v: string);
    /**
     * Gets or sets the text color used for displaying the end annotation label.
    */
    get endLabelTextColor(): string;
    set endLabelTextColor(v: string);
    /**
     * Gets or sets the background used for displaying the end annotation label.
    */
    get endLabelBackground(): string;
    set endLabelBackground(v: string);
    /**
     * Gets or sets the border used for displaying the end annotation label.
    */
    get endLabelBorderColor(): string;
    set endLabelBorderColor(v: string);
    /**
     * Gets or sets the text color used for displaying the center annotation label.
    */
    get centerLabelTextColor(): string;
    set centerLabelTextColor(v: string);
    /**
     * Gets or sets the background used for displaying the center annotation label.
    */
    get centerLabelBackground(): string;
    set centerLabelBackground(v: string);
    /**
     * Gets or sets the border color used for displaying the center annotation label.
    */
    get centerLabelBorderColor(): string;
    set centerLabelBorderColor(v: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<IgxDataAnnotationRangeLayerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgxDataAnnotationRangeLayerComponent, "ng-component", never, { "startLabelTextColor": "startLabelTextColor"; "startLabelBackground": "startLabelBackground"; "startLabelBorderColor": "startLabelBorderColor"; "endLabelTextColor": "endLabelTextColor"; "endLabelBackground": "endLabelBackground"; "endLabelBorderColor": "endLabelBorderColor"; "centerLabelTextColor": "centerLabelTextColor"; "centerLabelBackground": "centerLabelBackground"; "centerLabelBorderColor": "centerLabelBorderColor"; }, {}, never, never>;
}
